function [] = Mikrofonni_pole_ctverec()
% Mikrofonni pole() 
% vykresli ctvercove pole - mezi vsemi sousednimi mikr. stejna vzdalenost
global d M

L = d*((M/2)-1);
M_x = linspace(-L/2,L/2,M/2);
M_y = zeros(2,M/2);

M_y(1,:) = M_y(1,:)+(d/2);
M_y(2,:) = M_y(2,:)-(d/2);

fig1 = figure;
fig1.Position = [0 450 738 366];
fig1.Color = 'w';
%fig1.MenuBar = 'none';
ax = axes('Parent', fig1);
scatter(ax, M_x, M_y(1,:), 80, 'filled','b')
hold on 
scatter(ax, M_x, M_y(2,:), 80, 'filled','b')
axis(ax, 'square')
ax.XLim = [-0.4 0.4];
ax.YLim = [-0.4 0.4]; 
grid(ax, 'on')
title(ax, 'Uniformní čtvercové rovinné pole')
xlabel('x [m]')
ylabel('y [m]')


end

